const router = require('express').Router();

router.use(
	require('./create-item')
);

router.use(
	require('./edit-item')
);

router.use(
	require('./remove-item')
);

router.use(
	require('./get-authors')
);

router.use(
	require('./get-music')
);

router.use('*', async (req, res) => {
	res.result({
		error   : "UNKNOWN_METHOD",
		details : {}
	}, true, 400);
});

module.exports = router;